From 4057e8ea212a7858ab11756ea6d51d70d2bf3878 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Sep 02 2020 04:18:17 +0000
Subject: [PATCH 800/2232] Include dir can be infallible


Enabled by the target dir refactor.

---

diff --git a/gen/build/src/lib.rs b/gen/build/src/lib.rs
index eea9e68..15a4348 100644
--- a/gen/build/src/lib.rs
+++ b/gen/build/src/lib.rs
@@ -113,7 +113,7 @@ fn build(rust_source_files: &mut dyn Iterator<Item = impl AsRef<Path>>) -> Resul
 }
 
 fn write_header(target_dir: &TargetDir) -> Result<()> {
-    let ref cxx_h = paths::include_dir(target_dir)?.join("rust").join("cxx.h");
+    let ref cxx_h = paths::include_dir(target_dir).join("rust").join("cxx.h");
     let _ = write(cxx_h, gen::include::HEADER.as_bytes());
     Ok(())
 }
diff --git a/gen/build/src/paths.rs b/gen/build/src/paths.rs
index 3f4814e..6bc3e8a 100644
--- a/gen/build/src/paths.rs
+++ b/gen/build/src/paths.rs
@@ -26,7 +26,7 @@ pub(crate) fn cc_build(target_dir: &TargetDir) -> cc::Build {
 
 fn try_cc_build(target_dir: &TargetDir) -> Result<cc::Build> {
     let mut build = cc::Build::new();
-    build.include(include_dir(target_dir)?);
+    build.include(include_dir(target_dir));
     build.include(target_dir.parent().unwrap());
     Ok(build)
 }
@@ -39,7 +39,7 @@ pub(crate) fn symlink_header(path: &Path, original: &Path, target_dir: &TargetDi
 
 fn try_symlink_header(path: &Path, original: &Path, target_dir: &TargetDir) -> Result<()> {
     let suffix = relative_to_parent_of_target_dir(original, target_dir)?;
-    let ref dst = include_dir(target_dir)?.join(suffix);
+    let ref dst = include_dir(target_dir).join(suffix);
 
     fs::create_dir_all(dst.parent().unwrap())?;
     let _ = fs::remove_file(dst);
@@ -80,8 +80,8 @@ pub(crate) fn out_with_extension(
     Ok(out_dir.join(rel).with_file_name(file_name))
 }
 
-pub(crate) fn include_dir(target_dir: &TargetDir) -> Result<PathBuf> {
-    Ok(target_dir.join("cxxbridge"))
+pub(crate) fn include_dir(target_dir: &TargetDir) -> PathBuf {
+    target_dir.join("cxxbridge")
 }
 
 pub(crate) fn target_dir() -> Result<TargetDir> {

